%undefine __libtoolize

Name: myldapklient
Version: 0.6.6
Release: alt4
Source0: %name-%version.tar.bz2
URL: http://sourceforge.net/projects/myldapklient
License: GPL
Group:	Databases
Summary: This is a small LDAP-to-KAB bridging client
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>


# Automatically added by buildreq on Sun Jun 13 2004
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ gcc-java hostinfo
BuildRequires: kde-settings kdelibs-devel libarts-devel libjpeg-devel libldap-devel libpng-devel
BuildRequires: libqt3-devel libstdc++-devel qt3-designer xml-utils zlib-devel

%description
 This is a small LDAP-to-KAB bridging client. It provides a link from an LDAP server to KAB (and then to KMail).
%prep
%setup -q

%build
%__subst 's,\.la\>,.so,' configure
%configure \
	--with-extra-libs=/usr/lib/openldap \
	--with-extra-includes=/usr/include \
	--with-xinerama \
    	--disable-rpath \
    	--disable-static \
    	--enable-shared
%make_build

%install
%make DESTDIR=%buildroot install

#create menu
mkdir -p %buildroot%_menudir
kdedesktop2mdkmenu.pl %name Applications/Databases %buildroot%_datadir/applnk/Applications/%name.desktop %buildroot%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README INSTALL COPYING AUTHORS ChangeLog
%_bindir/*
%_menudir/%name
%_datadir/applnk/Applications/*.desktop
%_iconsdir/*
%doc %_datadir/doc/HTML/en/%name

%changelog
* Sun Jun 13 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.6-alt4
- fix requires

* Tue Jan 27 2004 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.6-alt3
- fix builrequires

* Fri Dec 12 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.6-alt2
- rebuilding without *.la

* Tue Sep 30 2003 Alexander Bokovoy <ab@altlinux.ru> 0.6.6-alt1.1
- Rebuild against krb5-1.3.1-alt2

* Tue Sep 23 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.6-alt1
- 0.6.6 and rebuilding in hasher

* Wed Feb 26 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.5-alt1
- 0.6.5

* Sun Oct 20 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.2-alt1
- 0.6.2

- specfile cleanup


